<!--
title: Gitlab Upgrades
-->

## Upgrade of a GitLab instance

When upgrading a Gitlab instance, strictly follow the defined upgrade path. Consider to snapshot the filesystem if possible after each step.

Additional, after each step wait until all background migrations are completed before performing the next upgrade step.


   * [Upgrade Paths](https://docs.gitlab.com/ee/update/index.html#upgrade-paths)
   * [Upgrading to a specific version](https://docs.gitlab.com/ee/update/package/#upgrade-to-a-specific-version-using-the-official-repositories)

To find the versions of a specific package in the Debian apt cache use

```
    apt-cache madison gitlab-ce
```
To upgrade to a specific version use 
```
    apt install gitlab-ce=<version>
```
**Definitely observe the version specific upgrade instructions, especially background migrations!**
